Skip to content

Get the API key identity

GET
/session
curl --request GET \
--url https://ads.wortise.com/api/public/v1/session \
--header 'x-api-key: <x-api-key>'

Describes the API key in use: its owner, organization, scopes and the owner’s dashboard permissions.

Identity of the API key.

Media typeapplication/json
object
account
required
object
email
required
string format: email
/^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$/
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
apiKey
required
object
id
required
string
scopes
required
object
assets
Array<string>
Allowed values: read write
campaigns
Array<string>
Allowed values: launch read write
creatives
Array<string>
Allowed values: read write
inventory
Array<string>
Allowed values: read
organization
required
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
name
string
permissions
required

Dashboard permissions of the key owner in the organization, per collection

object
key
additional properties
Array<string>
Allowed values: create read update delete verify owner add_funds cancel customize manage

Example

{
"apiKey": {
"scopes": {
"assets": [
"read"
],
"campaigns": [
"launch"
],
"creatives": [
"read"
],
"inventory": [
"read"
]
}
},
"permissions": {
"additionalProperty": [
"create"
]
}
}

The API key is missing, invalid, disabled or expired.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key exceeded its rate limit; retry after the Retry-After seconds.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}
Retry-After
integer

Seconds to wait before retrying.

Unexpected server error.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}